<?php
include('../../config/database.php');
$metodo=$_SERVER['REQUEST_METHOD'];

if($metodo=='GET'){
    //Si se mando un id quiere decir que se hara una busqueda individual
   if(isset($_GET['all'])){
       $query = mysqli_query($mysqli, "SELECT * FROM rndc_terceros") or die('Error en la consulta'. mysqli_error($mysqli));
        $json = array(); 
        while($row = mysqli_fetch_array($query)){
            $btn = "<a href='#' class='btn btn-xs btn-success' onclick=''><i class='fa fa-user-plus'><i/></a>";
            $json[] = array(
                'tipo' => $row['tipoidtercero'],
                'nombre' => $row['nombretercero'].' '.$row['primerapellido'].' '.$row['segundoapellido'],
                'tel' => $row['numtelefono'],
                'numid' => $row['numidtercero'],
                'direccion' => $row['direcciontercero'],
                'municipio' => $row['codmunicipio'],
                'sede' => $row['nomcede'],
                'btn' => $btn
            );
        }
        
        $json1['data'] = $json;
        $jsonstring = json_encode($json1);
        echo $jsonstring;
   }
   
   if(isset($_GET['pedido'])){
        $id = $_GET['pedido'];
        $query = mysqli_query($mysqli, "SELECT * FROM guias WHERE pedido_cliente='$id'") or die('Error en la consulta'. mysqli_error($mysqli));
        $num = mysqli_num_rows($query);
        if($num == 0){echo "0"; exit();}
        $json = array(); 
        while($row = mysqli_fetch_array($query)){
            $dir = explode(",",$row['direccion_destino']);
            $dirv = $dir[0]; $nc = $row['codigo_cliente'];
            //Consulta cede
            $queryt = mysqli_query($mysqli, "SELECT * FROM rndc_terceros WHERE direcciontercero='$dirv' AND numidtercero='$nc'") or die('Error en la consulta'. mysqli_error($mysqli));
            $num = mysqli_num_rows($queryt);
            if($num == 0){$codsede=''; $nomsede='';}else{$dt = mysqli_fetch_array($queryt); $codsede=$dt['codsede']; $nomsede=$dt['nomsede'];}
            $json[] = array(
                'guia' => $row['codigo_guia'],
                'cliente' => $row['nombre_cliente'],
                'cod_cliente' => $row['codigo_cliente'],
                'tel_cliente' => $row['telefono_cliente'],
                'pedido' => $row['pedido_cliente'],
                'direccion' => $dir[0],
                'municipio' => $dir[1],
                'fecha_entrega' => $row['fecha_entrega'],
                'codsede' => $codsede,
                'nomsede' => $nomsede,
                
            );
        }
        $jsonstring = json_encode($json[0]);
        echo $jsonstring; 
    
    }
    
}

if($metodo=='POST'){
    if(isset($_POST['registro'])){
        $tipo=$_POST['tipo'];
        $numid=$_POST['numid'];
        $nombre=$_POST['nombre'];
        $apellidouno=$_POST['apellidouno'];
        $apellidodos=$_POST['apellidodos'];
        $tel=$_POST['tel'];
        $cel=$_POST['cel'];
        $regimen=$_POST['regimen'];
        $direccion=$_POST['direccion'];
        $municipio=$_POST['municipio'];
        $codsede=$_POST['codsede'];
        $nomsede=$_POST['nomsede'];
        $catlicencia=$_POST['catlicencia'];
        $numlicencia=$_POST['numlicencia'];
        $viglicencia=$_POST['viglicencia'];
        //Registro en el RNDC / se usa puente server 23 
        $url = 'http://129.146.161.23/BackEnd_Orion/RNDC/crear_tercero.php';
        $postData = '{
          "tipo": "'.$tipo.'",
          "numid": "'.$numid.'",
          "nombre": "'.$nombre.'",
          "apellidouno": "'.$apellidouno.'",
          "apellidodos": "'.$apellidodos.'",
          "tel": "'.$tel.'",
          "cel": "'.$cel.'",
          "regimen": "'.$regimen.'",
          "direccion": "'.$direccion.'",
          "municipio": "'.$municipio.'",
          "codsede": "'.$codsede.'",
          "nomsede": "'.$nomsede.'",
          "catlicencia": "'.$catlicencia.'",
          "numlicencia": "'.$numlicencia.'",
          "viglicencia": "'.$viglicencia.'"
        }';
        $curl = curl_init($url);
        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $postData);
        $result = curl_exec($curl);
        curl_close($curl);
        //echo $result;
        
        $query = mysqli_query($mysqli, "INSERT INTO rndc_terceros VALUES (NULL,'$tipo','$numid','$nombre','$apellidouno','$apellidodos','$tel','$direccion',
        '$municipio','$codsede','$codsede','$catlicencia','$numlicencia','$viglicencia','0','0','$regimen','$cel','$result','','')");
        if(!$query){
            die('Error en el registro'. mysqli_error($mysqli));
        }
        echo '
        <div class="alert alert-success" role="alert" id="alerta_pro">
            El tercero ha sido registrado satisfactoriamente!
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        ';
    }
}
?>


    